<?php

    function number($num, $one, $two, $more) {
        $num = (int) $num;
        $l2 = substr($num, strlen($num) - 2, 2);

        if ($l2 >= 5 && $l2 <= 20)
            return $more;
        $l = substr($num, strlen($num) - 1, 1);
        switch ($l) {
            case 1:return $one;
                break;
            case 2:return $two;
                break;
            case 3:return $two;
                break;
            case 4:return $two;
                break;
            default:return $more;
                break;
        }
    }

function view_ava($user_id_ava) {

$gif = H . "sys/avatar/$user_id_ava.gif";
$jpg = H . "sys/avatar/$user_id_ava.jpg";
$png = H . "sys/avatar/$user_id_ava.png";

if (is_file($gif))
$user_ava = $gif;
elseif (is_file($jpg))
$user_ava = $jpg;
elseif (is_file($png))
$user_ava = $png;
else $user_ava = false;

return $user_ava;
}

$q = mysql_query("SELECT * FROM `duels_config` WHERE `id` = '1'");
$duel_config = mysql_fetch_assoc($q);

$div = $duel_config['div']; // Название дива отвечает за оформление блока с инфо о дуэлей
$ava_width = $duel_config['ava_width']; // Ширина авы
$ava_height = $duel_config['ava_height']; // Высота авы
$balls_golos = $duel_config['balls_golos']; // Кол-во баллов за то что проголосовал
$balls_winner = $duel_config['balls_winner']; // Кол-во баллов за победу в дуэле
//$duel_time = mktime(-24); // Длительность дуэли (в часах)
$duel_time = (time() - $duel_config['duel_time']); // Длительность дуэли (в часах)

//Удаляем дуэли которые не активны
$q = mysql_query("SELECT * FROM `duels` WHERE  `status` ='0' AND `time` < '$duel_time'");
while ($dduel = mysql_fetch_assoc($q)) {
mysql_query("DELETE FROM `duels` WHERE `id` = '$dduel[id]' LIMIT 1");
}
// Рассылаем сообщения, баллы участникам дуэлей
$q_c = mysql_result(mysql_query("SELECT COUNT(*) FROM `duels` WHERE  `status` ='1' AND `time` < '$duel_time' AND `who` = '0'"), 0);
if ($q_c != '0'){
$q = mysql_query("SELECT * FROM `duels` WHERE  `status` ='1' AND `time` < '$duel_time' AND `who` = '0' LIMIT $q_c");
while ($duel_send = mysql_fetch_assoc($q)) {
$mess_sad = "Увы! Вы приграли в [url=/duels/duel.php?id={$duel_send['id']}]дуэле[/url]!Не унывай, всё ещё впереди! =)";
$mess_ye = "Ура! Вы победили в [url=/duels/duel.php?id={$duel_send['id']}]дуэле[/url], в подарок получаете баллы: {$balls_winner}!Продолжайте в том же духе! =)";

$anks = get_user($duel_send['id_user']);
$ank2s = get_user($duel_send['id_ank']);

$duser = mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_rat` WHERE  `id_duser`='1' AND `id_duel` ='$duel_send[id]'"), 0);
$dank = mysql_result(mysql_query("SELECT COUNT(*) FROM `duels_rat` WHERE  `id_dank`='1' AND `id_duel` ='$duel_send[id]'"), 0);

if ($duser >= $dank){
if ($duel_send['who'] == '0'){
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '{$anks['id']}', '".$mess_ye."', '".time()."')");
mysql_query("UPDATE `duels` SET `who` =  '{$anks['id']}' WHERE `id` = '$duel_send[id]'");
mysql_query("UPDATE `user` SET `balls` = '".($anks['balls']+$balls_winner)."' WHERE `id` = '{$anks['id']}' LIMIT 1");
}
if ($duel_send['who2'] == '0'){
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '{$ank2s['id']}', '".$mess_sad."', '".time()."')");
mysql_query("UPDATE `duels` SET `who2` =  '{$ank2s['id']}' WHERE `id` = '$duel_send[id]'");}
}
if ($dank > $duser){
if ($duel_send['who'] == '0'){
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '{$ank2s['id']}', '".$mess_ye."', '".time()."')");
mysql_query("UPDATE `duels` SET `who` =  '{$ank2s['id']}' WHERE `id` = '$duel_send[id]'");
mysql_query("UPDATE `user` SET `balls` = '".($ank2s['balls']+$balls_winner)."' WHERE `id` = '{$ank2s['id']}' LIMIT 1");
}
if ($duel_send['who2'] == '0'){
mysql_query("INSERT INTO `mail` (`id_user`, `id_kont`, `msg`, `time`) values('0', '{$anks['id']}', '".$mess_sad."', '" . time() . "')");
mysql_query("UPDATE `duels` SET `who2` =  '{$anks['id']}' WHERE `id` = '$duel_send[id]'");}
}
}
}
?>